VST 3 Examples: SpecMeterProcessor Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SpecMeterProcessor Class Reference

`#include <mdaSpecMeterProcessor.h>`

Inheritance diagram for SpecMeterProcessor:

## Public Member Functions
| SpecMeterProcessor ()
| ~SpecMeterProcessor ()
int32 | getVst2UniqueId () const SMTG_OVERRIDE
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
tresult | terminate () SMTG_OVERRIDE
tresult | setActive (TBool state) SMTG_OVERRIDE
void | doProcessing (ProcessData &data) SMTG_OVERRIDE
bool | bypassProcessing (ProcessData &data) SMTG_OVERRIDE
Public Member Functions inherited from SampleAccurateBaseProcessor
| SampleAccurateBaseProcessor ()
void | allocParameters (int32 numParams) final
tresult | process (ProcessData &data) final
bool | processParameterChanges (IParameterChanges *changes) final

## Static Public Member Functions
static FUnknown * | createInstance (void *)
static | DECLARE_UID (uid, 0x67B9A082, 0xCF0B4BAC, 0x907AA8B7, 0x1D855F94)

## Protected Member Functions
void | recalculate () SMTG_OVERRIDE
void | sendParameterChanges (IParameterChanges *changes, int32 numSamples)

## Protected Attributes
int32 | counter
float | Lpeak
float | Lhold
float | Lmin
float | Lrms
float | Rpeak
float | Rhold
float | Rmin
float | Rrms
float | Corr
float | band [2][16]
float | iK
float | lpeak
float | lmin
float | lrms
float | rpeak
float | rmin
float | rrms
float | corr
float | den
float | lpp [6][16]
float | rpp [6][16]
int32 | topband
int32 | K
int32 | kmax

## Additional Inherited Members
Public Types inherited from IProcessContextRequirements
enum | Flags
Public Attributes inherited from AudioEffect
OBJ_METHODS(AudioEffect, Component) DEFINE_INTERFACES DEF_INTERFACE(IAudioProcessor) DEF_INTERFACE(IProcessContextRequirements) END_DEFINE_INTERFACES(Component) REFCOUNT_METHODS(Component) protected ProcessContextRequirements | processContextRequirements
OBJ_METHODS(Component, ComponentBase) DEFINE_INTERFACES DEF_INTERFACE(IComponent) END_DEFINE_INTERFACES(ComponentBase) REFCOUNT_METHODS(ComponentBase) protected BusList | audioInputs
BusList | audioOutputs
BusList | eventInputs
BusList | eventOutputs
OBJ_METHODS(ComponentBase, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPluginBase) DEF_INTERFACE(IConnectionPoint) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected IPtr < IConnectionPoint > | peerConnection
Static Public Attributes inherited from IPluginBase
static const FUID | iid
Static Public Attributes inherited from IConnectionPoint
static const FUID | iid
Static Public Attributes inherited from IComponent
static const FUID | iid
Static Public Attributes inherited from IAudioProcessor
static const FUID | iid
Static Public Attributes inherited from IProcessContextRequirements
static const FUID | iid
Protected Types inherited from Processor
using | StateT = std::vector< ParamValue >

## Constructor & Destructor Documentation

SpecMeterProcessor | ( |  | ) |

~SpecMeterProcessor | ( |  | ) |

## Member Function Documentation

int32 getVst2UniqueId | ( |  | ) | const
| inlinevirtual

Implements Processor.

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Reimplemented from AudioEffect.

tresult terminate | ( |  | ) |
| virtual

Reimplemented from AudioEffect.

tresult setActive | ( | TBool | state | ) |
| virtual

Reimplemented from Processor.

void doProcessing | ( | ProcessData & | data | ) |
| virtual

Implements Processor.

bool bypassProcessing | ( | ProcessData & | data | ) |
| virtual

Reimplemented from Processor.

static FUnknown* createInstance | ( | void * |  | ) |
| inlinestatic

static DECLARE_UID | ( | uid | ,
|  | 0x67B9A082 | ,
|  | 0xCF0B4BAC | ,
|  | 0x907AA8B7 | ,
|  | 0x1D855F94 |
| ) |  |
| inlinestatic

void recalculate | ( |  | ) |
| inlineprotectedvirtual

Reimplemented from Processor.

void sendParameterChanges | ( | IParameterChanges * | changes,
|  | int32 | numSamples
| ) |  |
| protected

## Member Data Documentation

int32 counter
| protected

float Lpeak
| protected

float Lhold
| protected

float Lmin
| protected

float Lrms
| protected

float Rpeak
| protected

float Rhold
| protected

float Rmin
| protected

float Rrms
| protected

float Corr
| protected

float band[2][16]
| protected

float iK
| protected

float lpeak
| protected

float lmin
| protected

float lrms
| protected

float rpeak
| protected

float rmin
| protected

float rrms
| protected

float corr
| protected

float den
| protected

float lpp[6][16]
| protected

float rpp[6][16]
| protected

int32 topband
| protected

int32 K
| protected

int32 kmax
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.